claw::graphic::png::reader::source_manager Struct Reference

Source manager that allow us to read from a std::istream. More...

`#include <png.hpp>`

## Public Member Functions

| source_manager (std::istream &is)
| Constructor.
void | read (png_bytep data, png_size_t length)
| Read data from the input stream.

## Detailed Description

Source manager that allow us to read from a std::istream.

Author
  Julien Jorge

Definition at line 65 of file png.hpp.

## Constructor & Destructor Documentation

## source_manager()

claw::graphic::png::reader::source_manager::source_manager | ( | std::istream & | is | ) |

Constructor.

Parameters

  is | The stream we read from.

Definition at line 61 of file png_reader.cpp.

References CLAW_PRECOND.

## Member Function Documentation

## read()

void claw::graphic::png::reader::source_manager::read | ( | png_bytep | data,
|  | png_size_t | length )

Read data from the input stream.

Parameters

  data | (out) Array of the bytes we have read.
  length | Number of bytes to read.

Definition at line 73 of file png_reader.cpp.

Referenced by claw__graphic__png__source_manager__read().

The documentation for this struct was generated from the following files:

- png.hpp
- code/png_reader.cpp